NX Open C++ Reference Guide
|
Helper object used the by Routing::LinearPathBuilder builder. More...
Public Member Functions | |
bool | AllowCutElbow () |
Returns a flag indicating whether or not to allow cut elbow placement Created in NX8.0.0. | |
bool | AssignDefaultCorner () |
Returns the preference to assign the current default corner to new segments. | |
bool | AssignDefaultElbow () |
Returns the preference to find and assign a default elbow to new segments. | |
bool | LockAngle () |
Returns the preference to determine if the angle between segments should be constrained. | |
bool | LockLength () |
Returns the preference to determine if the length of new segments should be constrained. | |
bool | LockToSelectedObject () |
Returns the preference to determine if the new segments and control points should be constrained to the objects selected by the user. | |
void | SetAllowCutElbow (bool assign) |
Sets a flag indicating whether or not to allow cut elbow placement Created in NX8.0.0. | |
void | SetAssignDefaultCorner (bool assign) |
Sets the preference to assign the current default corner to new segments. | |
void | SetAssignDefaultElbow (bool assign) |
Sets the preference to find and assign a default elbow to new segments. | |
void | SetLockAngle (bool lock) |
Sets the preference to determine if the angle between segments should be constrained. | |
void | SetLockLength (bool lock) |
Sets the preference to determine if the length of new segments should be constrained. | |
void | SetLockToSelectedObject (bool lock) |
Sets the preference to determine if the new segments and control points should be constrained to the objects selected by the user. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Helper object used the by Routing::LinearPathBuilder builder.
Determines various settings to be applied when the path is created. <br> To create a new instance of this class, use @link Routing::RouteManager::CreateLinearPathSettings Routing::RouteManager::CreateLinearPathSettings @endlink <br>
Default values.
Property | Value |
---|---|
LockToSelectedObject |
True |
Created in NX5.0.0.
bool NXOpen::Routing::LinearPathSettings::AllowCutElbow | ( | ) |
Returns a flag indicating whether or not to allow cut elbow placement
Created in NX8.0.0.
License requirements : routing_pipetube ("Routing Piping and Tubing")
bool NXOpen::Routing::LinearPathSettings::AssignDefaultCorner | ( | ) |
Returns the preference to assign the current default corner to new segments.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::LinearPathSettings::AssignDefaultElbow | ( | ) |
Returns the preference to find and assign a default elbow to new segments.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::LinearPathSettings::LockAngle | ( | ) |
Returns the preference to determine if the angle between segments should be constrained.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::LinearPathSettings::LockLength | ( | ) |
Returns the preference to determine if the length of new segments should be constrained.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::LinearPathSettings::LockToSelectedObject | ( | ) |
Returns the preference to determine if the new segments and control points should be constrained to the objects selected by the user.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::LinearPathSettings::SetAllowCutElbow | ( | bool | assign | ) |
Sets a flag indicating whether or not to allow cut elbow placement
Created in NX8.0.0.
License requirements : routing_pipetube ("Routing Piping and Tubing")
assign | assign |
void NXOpen::Routing::LinearPathSettings::SetAssignDefaultCorner | ( | bool | assign | ) |
Sets the preference to assign the current default corner to new segments.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
assign | assign |
void NXOpen::Routing::LinearPathSettings::SetAssignDefaultElbow | ( | bool | assign | ) |
Sets the preference to find and assign a default elbow to new segments.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
assign | assign |
void NXOpen::Routing::LinearPathSettings::SetLockAngle | ( | bool | lock | ) |
Sets the preference to determine if the angle between segments should be constrained.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
lock | lock |
void NXOpen::Routing::LinearPathSettings::SetLockLength | ( | bool | lock | ) |
Sets the preference to determine if the length of new segments should be constrained.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
lock | lock |
void NXOpen::Routing::LinearPathSettings::SetLockToSelectedObject | ( | bool | lock | ) |
Sets the preference to determine if the new segments and control points should be constrained to the objects selected by the user.
Created in NX5.0.0.
License requirements : routing_base ("Routing Basic")
lock | lock |